package org.seasar.jsf.template.impl;

import org.seasar.jsf.template.ComponentTreeBuilder;
import org.seasar.jsf.template.TagSelector;
import org.xml.sax.Attributes;

/**
 * @author higa
 *
 */
public class UIElementSelector implements TagSelector {

	public UIElementSelector() {
	}

	public boolean isSelectable(String namespaceURI, String localName,
			String qName, Attributes attributes) {

		return true;
	}

	/**
	 * @see org.seasar.jsf.template.TagSelector#createBuilder(org.w3c.dom.Node)
	 */
	public ComponentTreeBuilder createBuilder(String namespaceURI, String localName,
			String qName, Attributes attributes) {
		
		return new UIElementBuilder(namespaceURI, localName, qName, attributes);
	}

}
